classification
Title: add a metadata section in setup.cfg
Type: enhancement Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, eric.smith, meatballhat, tarek, titus, zubin71
Priority: normal Keywords: gsoc

Created on 2010-03-28 14:28 by tarek, last changed 2011-04-03 17:56 by l0nwlf. This issue is now closed.

Messages (8)
msg101860 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 14:28
let's add a metatadata section in setup.cfg, to express all the metadata fields instead of using setup.py options.
msg101862 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 14:36
and change the mkpkg script accordingly
msg108375 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-22 13:46
I’m starting on this now. Monitor http://bitbucket.org/Merwok/distutils2-killsetup for updates.
msg108377 - (view) Author: Shashwat Anand (l0nwlf) Date: 2010-06-22 13:47
Is "+gsoc" a keyword too ? :O

On Tue, Jun 22, 2010 at 7:16 PM, Éric Araujo <report@bugs.python.org> wrote:

>
> Éric Araujo <merwok@netwok.org> added the comment:
>
> I’m starting on this now. Monitor
> http://bitbucket.org/Merwok/distutils2-killsetup for updates.
>
> ----------
> keywords: +gsoc
> resolution:  -> accepted
> stage:  -> needs patch
> versions:  -Python 3.3
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue8252>
> _______________________________________
>
msg108378 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-22 13:51
“keywords: +gsoc” means that the “gsoc” keyword has been added, yes. Tarek asked for this keyword to track things.

(P.S. Please remove unnecessary quotes from your replies, it’s clutter,  and don’t send HTML email to the tracker, that creates a useless unnamed file. Thanks :)
msg108389 - (view) Author: Shashwat Anand (l0nwlf) Date: 2010-06-22 14:56
merwok: Pont noted. I replied it via Gmail, was unaware of the fact that it adds an unnamed file.
msg110444 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-16 14:12
Update: PEP 390 is made obsolete by PEP 345, so the parts left unspecified are being worked out now. Starting point is proposals collected during PyCon 2010 and published here: http://bitbucket.org/carljm/sample-distutils2-project/src/
msg132856 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-03 16:26
This was finished by Tarek and other people some months ago.
History
Date User Action Args
2011-04-03 17:56:31l0nwlfsetnosy: - l0nwlf
2011-04-03 16:26:08eric.araujosetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg132856

stage: needs patch -> resolved
2011-04-03 16:25:38eric.araujosetdependencies: - update mkpkg to latest coding standards
2010-11-06 14:34:56eric.araujounlinkissue8679 dependencies
2010-09-30 01:54:54eric.araujolinkissue8679 dependencies
2010-09-30 01:34:32eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-07-17 21:30:48eric.araujosetdependencies: + update mkpkg to latest coding standards
2010-07-17 20:59:09eric.araujosetassignee: tarek -> eric.araujo

nosy: + titus
2010-07-16 14:12:09eric.araujosetmessages: + msg110444
2010-06-22 14:56:37l0nwlfsetmessages: + msg108389
2010-06-22 13:51:01eric.araujosetmessages: + msg108378
2010-06-22 13:48:52eric.araujosetfiles: - unnamed
2010-06-22 13:47:46l0nwlfsetfiles: + unnamed

messages: + msg108377
2010-06-22 13:47:29eric.araujolinkissue8253 dependencies
2010-06-22 13:46:17eric.araujosetversions: - Python 3.3
messages: + msg108375

keywords: + gsoc
resolution: accepted
stage: needs patch
2010-05-01 01:41:41meatballhatsetnosy: + meatballhat
2010-03-29 17:34:14zubin71setnosy: + zubin71
2010-03-28 21:59:18eric.smithsetnosy: + eric.smith
2010-03-28 18:52:36l0nwlfsetnosy: + l0nwlf
2010-03-28 14:44:05eric.araujosetnosy: + eric.araujo
2010-03-28 14:36:07tareksetmessages: + msg101862
2010-03-28 14:35:01tareksettitle: add a metada section in setup.cfg -> add a metadata section in setup.cfg
2010-03-28 14:28:34tarekcreate